Infrastructure - Story #348

Implement getSystemMetadata() method for Metacat
2010-03-15 23:15 - Dave Vieglais

Status: Closed Start date:

Priority: Low Due date:

Assignee: Chad Berkley % Done: 100%
Category: Metacat Estimated time: 0.00 hour
Target version: CCl-0.4

Story Points:

Description

As the KNB node manager, | want the DataONE getSystemMetadata() method to be implemented for Metacat in order to participate
in DataONE

- involves looking up the sysmetadata doc from the Identifier, then return it

calling existing handleRead() methods

- write unit test for getSystemMetadata() REST service

History

#1 - 2010-03-18 11:10 - Matthew Jones

- Status changed from New to In Progress

#2 - 2010-05-11 18:39 - Chad Berkley

- Status changed from In Progress to Closed

2024-04-09 1/1



https://redmine.dataone.org/projects/d1/wiki/DataONE
https://redmine.dataone.org/projects/d1/wiki/DataONE
http://www.tcpdf.org

